/*
 * Nombre del proyecto: Proyecto Arkanoid
 *
 * Nombre del fichero: errores.h
 *
 * Nombre de los autores: Grzegorz Adam Hankiewicz y Carlos Pereda Moreno
 *
 * Fecha: 18 de Enero del 2000
 *
 * Descripcin: Fichero de cabecera, contiene definiciones, prototipos y
 * variables globales.
 */

#ifndef ERRORES_H
#define ERRORES_H

/*
 * VARIABLES GLOBALES
 */

#ifdef DECLARA_VARIABLES_ERRORES_C

char     mensajes_de_error[NUM_CADENAS_ERROR][SMALL_STR];
int      num_mensajes_error;

#else

extern   char     mensajes_de_error[NUM_CADENAS_ERROR][SMALL_STR];
extern   int      num_mensajes_error;

#endif /* DECLARA_VARIABLES_ERRORES_C */

/*
 * PROTOTIPOS DE FUNCIONES EXTERNAS
 */

void     inicializa_mensajes_de_error (void);
void     eprintf (char *msg, ...);

/*
 * PROTOTIPOS DE FUNCIONES INTERNAS
 */

void     muestra_mensajes_de_error (void);

#endif /* ERRORES_H */

