/*
 * Nombre del proyecto: Proyecto Arkanoid
 *
 * Nombre del fichero: logico.h
 *
 * Nombre de los autores: Grzegorz Adam Hankiewicz y Carlos Pereda Moreno
 *
 * Fecha: 18 de Enero del 2000
 *
 * Descripcin: Fichero de cabecera, contiene definiciones, prototipos y
 * variables globales.
 */

#ifndef LOGICO_H
#define LOGICO_H

/*
 * PROTOTIPOS DE FUNCIONES EXTERNAS
 */
void     bucle_logico (DATOS_JUEGO *datos);
void     recoge_entrada_usuario (DATOS_JUEGO *datos);


/*
 * PROTOTIPOS DE FUNCIONES INTERNAS
 */
int      detectar_colision_pelota (fixed *dx, fixed *dy, DATOS_JUEGO *datos, int volver);
void     avanza_pelota (DATOS_JUEGO *datos);
void     detectar_muerte_pelota (DATOS_JUEGO *datos);
void     detectar_colision_raqueta (DATOS_JUEGO *datos);
void     mover_raqueta (DATOS_JUEGO *datos);
void     elimina_ladrillo (DATOS_JUEGO *datos, int col_x, int col_y, int col);
void     comprueba_si_quedan_ladrillos (DATOS_JUEGO *datos);
int      colision_pelota_raqueta (DATOS_JUEGO *datos, fixed desplazamiento);


#endif /* LOGICO_H */
